Summary:        Library providing high performance logging, tracing, ipc, and poll
Name:           libqb
Version:        2.0.8
Release:        2%{?dist}
License:        LGPL-2.1-or-later
URL:            https://github.com/ClusterLabs/libqb
Source0:        https://github.com/ClusterLabs/libqb/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  make gcc autoconf automake libtool
BuildRequires:  check-devel pkgconfig(glib-2.0)
BuildRequires:  doxygen libxml2-devel
BuildRequires:  procps git-core

%description
This package provides high-performance, reusable features for client-server architecture, 
such as logging, tracing, inter-process communication (IPC), and polling.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n     doxygen2man
Summary:        Program to create nicely-formatted man pages from Doxygen XML files
Requires:       %{name} = %{version}-%{release}

%description -n doxygen2man
This package contains a program to create nicely-formatted man pages from Doxygen XML files.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}/%{_docdir}/*

%check
make check V=1

%files
%license COPYING
%{_sbindir}/qb-blackbox
%{_libdir}/libqb.so.*
%{_mandir}/man8/qb-blackbox.8*

%files          devel
%doc README.markdown
%{_includedir}/qb/
%{_libdir}/libqb.so
%{_libdir}/pkgconfig/libqb.pc
%{_mandir}/man3/qb*3*

%files -n       doxygen2man
%{_bindir}/doxygen2man
%{_mandir}/man1/doxygen2man.1.gz

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.8-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 2.0.8-1
- Upgrade to version 2.0.8

* Wed Jul 12 2023 Wang Guodong <gordonwwang@tencent.com> - 2.0.6-1
- Upgrade to 2.0.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Wang Guodong <gordonwwang@tencent.com> - 2.0.4-1
- package init.
